fv::root::ContainerTH1< V > Class Template Reference
Inheritance diagram for fv::root::ContainerTH1< V >:
[legend]
Collaboration diagram for fv::root::ContainerTH1< V >:
[legend]

## Private Member Functions

void | _do_fill ()

## Additional Inherited Members

Public Member Functions inherited from fv::root::_ContainerTH1< V >
| _ContainerTH1 (const std::string &name, const std::string &title, Value< V > *value, int nbins, double low, double high, const std::string &label_x="", const std::string &label_y="")
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< TH1 >
| Container (const std::string &name, TH1 *container)
virtual TH1 * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)
Protected Attributes inherited from fv::root::_ContainerTH1< V >
std::string | title
std::string | label_x
std::string | label_y
int | nbins
double | low
double | high
Value< V > * | value
Protected Attributes inherited from fv::Container< TH1 >
TH1 * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp